#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 primitive-unlifted
version:              0.1.3.1
visibility:           public
id:                   primitive-unlifted-0.1.3.1-Je8hn9OZVWhDYz1YfZRu3D
key:                  primitive-unlifted-0.1.3.1-Je8hn9OZVWhDYz1YfZRu3D
license:              BSD-3-Clause
copyright:            2019 Andrew Martin
maintainer:           andrew.thaddeus@gmail.com
author:               Andrew Martin
homepage:             https://github.com/haskell-primitive/primitive-unlifted
synopsis:             Primitive GHC types with unlifted types inside
description:
    Primitive GHC types with unlifted types inside. There used
    to be a module named `Data.Primitive.UnliftedArray` in the
    `primitive` library. However, the techniques it used were
    unsound in the presence of certain FFI calls. This library
    a successor to that module.

category:             Data
abi:                  73065781d86298e1d4b8e8f87ff0d4c0
exposed:              True
exposed-modules:
    Data.Primitive.Unlifted.Array Data.Primitive.Unlifted.Class

import-dirs:          /usr/lib/ghc-9.2.8/site-local/primitive-unlifted-0.1.3.1
library-dirs:         /usr/lib/ghc-9.2.8/site-local/primitive-unlifted-0.1.3.1
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-primitive-unlifted
hs-libraries:         HSprimitive-unlifted-0.1.3.1-Je8hn9OZVWhDYz1YfZRu3D
depends:
    base-4.16.4.0 bytestring-0.11.4.0
    primitive-0.7.4.0-7gaoyIhjpev9EXRLwNkGgT
    text-short-0.1.6-E4RYQ2INtuW22EEjiQI0W

haddock-interfaces:
    /usr/share/doc/haskell-primitive-unlifted/html/primitive-unlifted.haddock

haddock-html:         /usr/share/doc/haskell-primitive-unlifted/html
' | '/usr/bin/ghc-pkg-9.2.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

